<?php

/*
	##############################################################
	##	Dieses Werk steht unter der Creative-Commons-Lizenz		##
	##	Namensnennung - Nicht-kommerziell - Weitergabe unter	##
	##	gleichen Bedingungen 4.0 International.					##
	##	Um eine Kopie dieser Lizenz zu sehen, besuchen Sie		##
	##	http://creativecommons.org/licenses/by-nc-sa/4.0 .		##
	##############################################################
	*/
	
	// CODE IST NICHT FUER PRODUKTIVEN EINSATZ GEEIGNET!
	// Eine kommerzielle Nutzung ist untersagt!
	// Eine Weitergabe ist nur bei Wahrung der Lizenzbedingungen erlaubt.
	
	// CODE IS NOT SUITABLE FOR PRODUCTIVE USE!
	// A comercial use is strictly prohibited!
	// Disclosure is allowed, as long as the license conditions stay the same.
	
	// Changelog (de): www.jlus.de/projekte/index.php?action=project&id=8
	
	/*
		Project-name:				Kopfrechnen
		PMS-ID:						8
		Version:					1.2
		Author:						Jonathan Lusky
		Date of Publication:		2014-03-31
	*/

if (!file_exists('mysql_inc.php')) {
	header("Location: install/index.php");
	exit;
}
if (file_exists('install/index.php'))
	die('Installation dir has to be removed.');

session_start();
require_once "mysql_inc.php";
require_once "functions_inc.php";

// Zur Sicherheit einmal am Anfang ueberschreiben, damit nicht geschummelt werden kann:
if ($_GET["action"] != "conclusion")
	$_SESSION["kopfrechnen"] = array();

// Primaer kann der Highscore geladen und angezeigt werden:
$highscore_object = mysqli_query($verbindung, "SELECT name, richtige, zeit FROM kopfrechnen
ORDER BY richtige DESC, zeit");

// Die Highscore Liste herausgeben:
while ($row = mysqli_fetch_object($highscore_object)) {
	$highscore .= '<tr>
	<td><b>' . $row->name . '</b></td>
	<td>' . $row->richtige . '</td>
	<td>' . $row->zeit . '</td>
	</tr>';
}



// Ab hier beginnt dann die neu generische Seite
$action = $_GET["action"];


// Dann schauen wir mal auf die gesuchte Funktion:
$erlaubte_funktion = array("wettbewerb", "spass", "benutzerdefiniert", "conclusion");
if (in_array($action, $erlaubte_funktion)) {
	call_user_func("page_" . $action);
}
else {
	// Die Hauptseite:
	$heading = 'Kopfrechnen';
	$echo = '<p>Hier hast du mal die M&ouml;glichkeit deine Mathematikf&auml;higkeiten auszuprobieren und dich, wenn du
	m&ouml;chtest, mit anderen zu messen! Nat&uuml;rlich ist es nur fair, wenn du keinen Taschenrechner dabei verwendest,
	aber was solls...</p>
	
	<p>Es gibt drei verschiedene Modi zum Spielen:</p>
	
	<div class="beschreibung"><a href="index.php?action=wettbewerb">Wettbewerb</a>
	<span><br /><b>Nur hier</b> hast du die m&ouml;glich durch richtigere und schnellere L&ouml;sung der Aufgaben
	in den <b>Highscore</b> zu kommen.</span></div>
	
	<div class="beschreibung"><a href="index.php?action=spass">Mathespa&szlig;</a>
	<span><br />Dies ist ein Trainingsmodus f&uuml;r den Wettbewerb mit &auml;hnlicher Konfiguration, nur, dass
	lediglich nur 15 Fragen vorkommen, die auch alle beantwortet werden m&uuml;ssen. Sollte eine Aufgabe <b>falsch</b>
	gel&ouml;st worden sein, <b>kommt</b> sie irgendwann <b>wieder</b>.</span></div>
	
	<div class="beschreibung"><a href="index.php?action=benutzerdefiniert">Benutzerdefiniert</a>
	<span><br />Hier kannst du <b>Einstellungen</b> zum &Uuml;ben <b>selber festlegen</b>, also welche Maximalwerte
	vorkommen d&uuml;rfen, welche Rechenmethoden vorkommen und wie komplex die Matheaufgaben sein d&uuml;rfen.
	Zudem ist nat&uuml;rlich auch die Anzahl der Fragen deine Sache!</span></div>';
}

mysqli_close($verbindung);


?>

<!DOCTYPE html>
<html>
	<head>
		<title>Kopfrechnen</title>
		<link rel="stylesheet" href="styles.css" type="text/css" />
		<script src="jquery.js" type="text/javascript"></script>
		<script src="scripts.js" type="text/javascript"></script>
	</head>
	<body>
		<div id="main">
			<!-- Den Haupt-Div mit Inhalt -->
			<div id="left-div"><h1 style="margin-top: 1px;"><?php echo $heading; ?></h1>
				<?php echo $echo; ?>
			</div>
			
			
			<!-- Den Highscore anzeigen -->
			<div id="right-div"><h1>Highscore</h1>
				<table border="1" class="highscore">
				<tr>
					<th>Name</th>
					<th>Richtige</th>
					<th>Zeit [s]</th>
				</tr>
				<?php echo $highscore; ?>
				</table>
			</div>
		</div>
	</body>
</html>
